## python-omegaconf 2.3.0

=== docs/Makefile ===
# Minimal makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
SPHINXPROJ    = OmegaConf
SOURCEDIR     = source
BUILDDIR      = build

# Put it first so that "make" without argument is like "make help".
help:
	@$(SPHINXBUILD) -M help "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

.PHONY: help Makefile

# Catch-all target: route all unknown targets to Sphinx using the new
# "make mode" option.  $(O) is meant as a shortcut for $(SPHINXOPTS).
%: Makefile
	@$(SPHINXBUILD) -M $@ "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

## python-omegaconf 2.2.2

=== debian/changelog ===
python-omegaconf (2.2.2-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Patch: Support Python 3.11. (Closes: #1025111)

 -- Stefano Rivera <stefanor@debian.org>  Sun, 25 Dec 2022 12:42:17 -0400

python-omegaconf (2.2.2-2) unstable; urgency=medium

  * Fixed VCS URLs (Closes: #1016890).

 -- Thomas Goirand <zigo@debian.org>  Wed, 26 Oct 2022 12:24:04 +0200

python-omegaconf (2.2.2-1) unstable; urgency=medium

  * New upstream release.
  * Run unit tests at build time.
  * Add autopkgtest.
  * Do not package /usr/lib/python3/dist-packages/pydevd_plugins/__init__.py
    already in pydevd (Closes: #1016510).

 -- Thomas Goirand <zigo@debian.org>  Tue, 02 Aug 2022 17:45:50 +0200

python-omegaconf (2.1.0~rc1-3) unstable; urgency=medium

  * Defines http_proxy=127.0.0.1:9 to avoid internet trafic.
  * Add python3-pytest-runner as build-depends (Closes: #1011139).

 -- Thomas Goirand <zigo@debian.org>  Tue, 31 May 2022 10:45:28 +0200

python-omegaconf (2.1.0~rc1-2) unstable; urgency=medium

  * Reupload source-only.

 -- Thomas Goirand <zigo@debian.org>  Fri, 20 Aug 2021 20:47:41 +0200

python-omegaconf (2.1.0~rc1-1) unstable; urgency=medium

  * Initial release. (Closes: #988840)

 -- Thomas Goirand <zigo@debian.org>  Thu, 20 May 2021 11:56:18 +0200

=== debian/control ===
Source: python-omegaconf
Section: python
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper-compat (= 11),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-setuptools,
Build-Depends-Indep:
 default-jre,
 python3-antlr4,
 python3-pydevd,
 python3-pytest,
 python3-pytest-runner,
 python3-pytest-mock,
 python3-yaml,
Standards-Version: 4.5.1
Vcs-Browser: https://salsa.debian.org/openstack-team/third-party/python-omegaconf
Vcs-Git: https://salsa.debian.org/openstack-team/third-party/python-omegaconf.git
Homepage: https://github.com/omry/omegaconf

Package: python3-omegaconf
Architecture: all
Depends:
 python3-antlr4,
 python3-yaml,
 ${misc:Depends},
 ${python3:Depends},
Description: hierarchical configuration from multiple sources
 OmegaConf is a hierarchical configuration system, with support for merging
 configurations from multiple sources (YAML config files, dataclasses/objects
 and CLI arguments) providing a consistent API regardless of how the
 configuration was created.

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT := https://github.com/omry/omegaconf.git
include /usr/share/openstack-pkg-tools/pkgos.make

export http_proxy=127.0.0.1:9
export https_proxy=127.0.0.1:9
export HTTP_PROXY=127.0.0.1:9
export HTTPS_PROXY=127.0.0.1:9

%:
	dh $@ --buildsystem=python_distutils --with python3

override_dh_auto_clean:
	rm -rf build .stestr
	find . -iname '*.pyc' -delete
	for i in $$(find . -type d -iname __pycache__) ; do rm -rf $$i ; done

override_dh_auto_build:
	echo "Do nothing..."

override_dh_auto_install:
	pkgos-dh_auto_install --no-py2 --in-tmp

ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	for i in `py3versions -rv` ; do \
		python$$i -m pytest tests -v ; \
	done
endif

override_dh_install:
	dh_install
	rm $(CURDIR)/debian/python3-omegaconf/usr/lib/python3/dist-packages/pydevd_plugins/__init__.py
	rm $(CURDIR)/debian/python3-omegaconf/usr/lib/python3/dist-packages/pydevd_plugins/extensions/__init__.py

override_dh_auto_test:
	echo "Do nothing..."

## python-omegaconf 2.3.0

=== debian/changelog ===
python-omegaconf (2.3.0-3) unstable; urgency=medium

  * Blacklist broken tests (Closes: #1092523).

 -- Thomas Goirand <zigo@debian.org>  Thu, 09 Jan 2025 10:29:23 +0100

python-omegaconf (2.3.0-2) unstable; urgency=medium

  * Add --ignore tests/test_pydev_resolver_plugin.py in d/tests/unittests.
    (Closes: #1089049).
  * Switch to pybuild (Closes: #1090545).
  * Blacklist a few tests in d/tests/unittests.

 -- Thomas Goirand <zigo@debian.org>  Fri, 27 Dec 2024 15:15:23 +0100

python-omegaconf (2.3.0-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Remove build-dependency on python3-pydevd and related test (closes:
    #1077312)

 -- Julian Gilbey <jdg@debian.org>  Wed, 06 Nov 2024 19:57:27 +0000

python-omegaconf (2.3.0-1) unstable; urgency=medium

  * New upstream release.
  * Add missing (build-)depends python3-attr (Closes: #1042251).
  * Add --disable-warnings --disable-warnings -p no:warnings when running
    tests, as the package FTBFS otherwise.
  * Add disable-broken-test.patch.
  * Add d/rules patch from Vagrant Cascadian for build reproducibility
    (Closes: #1020723).

 -- Thomas Goirand <zigo@debian.org>  Thu, 02 May 2024 07:53:22 +0200

=== debian/control ===
--- 
+++ 
@@ -13,10 +13,10 @@
 Build-Depends-Indep:
  default-jre,
  python3-antlr4,
- python3-pydevd,
+ python3-attr,
  python3-pytest,
+ python3-pytest-mock,
  python3-pytest-runner,
- python3-pytest-mock,
  python3-yaml,
 Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/openstack-team/third-party/python-omegaconf
@@ -27,6 +27,7 @@
 Architecture: all
 Depends:
  python3-antlr4,
+ python3-attr,
  python3-yaml,
  ${misc:Depends},
  ${python3:Depends},

=== debian/rules ===
--- 
+++ 
@@ -9,7 +9,7 @@
 export HTTPS_PROXY=127.0.0.1:9
 
 %:
-	dh $@ --buildsystem=python_distutils --with python3
+	dh $@ --buildsystem=pybuild --with python3
 
 override_dh_auto_clean:
 	rm -rf build .stestr
@@ -21,10 +21,16 @@
 
 override_dh_auto_install:
 	pkgos-dh_auto_install --no-py2 --in-tmp
+	# Replace build path with a placeholder string for reproducible builds
+	sed -i -e "s,$(CURDIR),BUILDPATH,g" \
+		debian/tmp/usr/lib/python3/dist-packages/omegaconf/grammar/gen/OmegaConfGrammarParserVisitor.py \
+		debian/tmp/usr/lib/python3/dist-packages/omegaconf/grammar/gen/OmegaConfGrammarParserListener.py \
+		debian/tmp/usr/lib/python3/dist-packages/omegaconf/grammar/gen/OmegaConfGrammarParser.py \
+		debian/tmp/usr/lib/python3/dist-packages/omegaconf/grammar/gen/OmegaConfGrammarLexer.py \
 
 ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
 	for i in `py3versions -rv` ; do \
-		python$$i -m pytest tests -v ; \
+		python$$i -m pytest tests -v --disable-warnings -p no:warnings --ignore tests/test_pydev_resolver_plugin.py -k 'not test_errors[typed_DictConfig:assign_with_invalid_value] and not test_errors[path_to_float] and not test_to_yaml and not test_type_str[Path-True-pathlib.Path-False] and not test_type_str[Path-True-pathlib.Path-True] and not test_errors'; \
 	done
 endif

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/omegaconf/omegaconf-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
